# SBPWidget

## Requirements

- iOS 14.0+ 
- Swift 5.0+

## SDK interface

```swift
    /// Use for own navigation managment
    func bankListViewController(paymentURL: String) throws -> UIViewController
    
    /// Use for sdk navigation managment
    func presentBankListViewController(paymentURL: String, parentViewController: UIViewController) throws
    
    /// Use SBPWidgetBank.fetchAll for building own view for interactions with banks applications. Available for iOS 12.
    /// - Parameters:
    ///   - queue: call completion on this DispatchQueue in async block
    static func fetchAll(
        paymentURL: String,
        receivOn queue: DispatchQueue,
        completion: @escaping (Result<[SBPWidgetBank], SBPWidgetError>) -> Void
    ) throws
```
